@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap');
:root {
    --color-text: #262626;
    --primary-color: #1f8ceb;
    --dark-color: #282a39;
    --font-open: 'Open Sans', sans-serif;
}

body {
    color: var(--color-text);
    font-family: var(--font-open);
}

h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6,
.btn {
    font-family: var(--font-open);
}

.form-control,
.select2-container--default .select2-selection--single,
.select2-container--default .select2-selection--single .select2-search__field,
.typeahead,
.tt-query,
.tt-hint {
    font-family: var(--font-open);
}


/* Login Page */

.login-pg {
    width: 100%;
    min-height: 100vh;
    display: -webkit-box;
    display: -webkit-flex;
    display: -moz-box;
    display: -ms-flexbox;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding: 15px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    position: relative;
    z-index: 1;
}

.login-pg::before {
    content: "";
    display: block;
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: rgb(255 255 255 / 17%);
    /* background: -webkit-linear-gradient(left, rgba(0,168,255,0.5), rgba(185,0,255,0.5));
    background: -o-linear-gradient(left, rgba(0,168,255,0.5), rgba(185,0,255,0.5));
    background: -moz-linear-gradient(left, rgba(0,168,255,0.5), rgba(185,0,255,0.5));
    background: linear-gradient(left, rgba(0,168,255,0.5), rgba(185,0,255,0.5)); */
    pointer-events: none;
    backdrop-filter: blur(2px);
}

.login-row-wrapper {
    box-shadow: 0 2px 14px 0 rgb(0 0 0 / 62%);
}

.login-left {
    position: relative;
    background: #fff;
}

.login-left h3 {
    font-size: 2rem;
    /* font-weight: 300; */
}

.login-left .form-group .label {
    font-size: 12px;
    text-transform: uppercase;
    letter-spacing: 1px;
    color: var(--color-text);
    font-weight: 500;
}

.login-left .form-group .btn {
    background: var(--primary-color);
    font-weight: 300;
}

.login-right {
    background: #000203;
    background: -moz-linear-gradient(111deg, #1f8ceb 0%, #000203 100%);
    background: -webkit-linear-gradient(111deg, #1f8ceb 0%, #000203 100%);
    background: -o-linear-gradient(111deg, #1f8ceb 0%, #000203 100%);
    background: -ms-linear-gradient(111deg, #1f8ceb 0%, #000203 100%);
    color: #fff;
    align-items: center;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}

.login-right .text h2 {
    text-transform: uppercase;
    margin-top: 30px;
    font-weight: 400;
    font-size: 28px;
    line-height: 2.5rem;
}

.login-right .text h2 span {
    display: block;
    font-weight: 600;
    font-size: 30px;
}


/* sidebar */

.sidebar {
    position: fixed;
    background: var(--dark-color);
    font-family: var(--font-open);
}

.sidebar .nav .nav-item {
    padding: 0 1.5rem;
}

.navbar {
    -webkit-box-shadow: 1px 1px 15px rgb(0 0 0 / 10%);
    -moz-box-shadow: 1px 1px 15px rgba(0, 0, 0, 0.1);
    box-shadow: 1px 1px 15px rgb(0 0 0 / 10%);
}

.navbar .navbar-brand-wrapper .navbar-brand {
    color: #ffffff;
}

.navbar .navbar-brand-wrapper .navbar-brand:active,
.navbar .navbar-brand-wrapper .navbar-brand:focus,
.navbar .navbar-brand-wrapper .navbar-brand:hover {
    color: #ffffff;
}

.navbar .navbar-brand-wrapper .navbar-brand h2 {
    font-weight: 500;
}

.sidebar .nav .nav-item.active>.nav-link .menu-title {
    color: #ffffff;
    font-family: var(--font-open);
}

.sidebar .nav .nav-item .nav-link .icon-bg {
    background: transparent;
}

.sidebar .nav .nav-item .nav-link .icon-bg .menu-icon {
    color: #8e94a9;
}

.sidebar .nav .nav-item.active>.nav-link:before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    background: var(--primary-color);
    height: 100%;
    width: 2px;
}

.sidebar .nav .nav-item .nav-link .menu-title {
    font-size: 0.85rem;
}

.sidebar .nav .nav-item.active {
    background: #161621;
}

.sidebar .nav.sub-menu .nav-item .nav-link {
    color: #8e94a9;
}

.sidebar .nav.sub-menu .nav-item .nav-link:hover,
.sidebar .nav.sub-menu .nav-item .nav-link.active,
.sidebar .nav.sub-menu .nav-item .nav-link.active:before,
.sidebar .nav .nav-item.active>.nav-link i {
    color: #ffffff;
}

.sidebar .nav.sub-menu .nav-item .nav-link {
    margin-left: 1rem;
}


/* main */

.main-panel {
    margin-left: auto;
}

.main-inner-panel {
    padding-top: 30px;
    padding-left: 20px;
}


/* table */

.table-wrapper {
    border-radius: 10px;
    box-shadow: 0 0 40px 0 rgb(0 0 0 / 15%);
    -moz-box-shadow: 0 0 40px 0 rgba(0, 0, 0, .15);
    -webkit-box-shadow: 0 0 40px 0 rgb(0 0 0 / 15%);
    -o-box-shadow: 0 0 40px 0 rgba(0, 0, 0, .15);
    -ms-box-shadow: 0 0 40px 0 rgba(0, 0, 0, .15);
    border: 1px solid rgba(0, 0, 0, 0.125);
}

.table-main th {
    font-size: 0.8rem;
    font-weight: 600;
    color: #fff;
    background-color: var(--dark-color);
    padding: 0.8rem 0.8rem;
}

.table-main td {
    font-size: 0.78rem;
    padding: 0.5rem 0.8rem;
    border: 0;
}

.table-main tr td:first-child {
    font-weight: 600;
}

.table-main tr:nth-child(odd) {
    background-color: #f8f6ff;
}

.table-main .btn {
    padding: 0.475rem 0.45rem;
    font-weight: 400;
    opacity: .75;
    transition: opacity .3s linear;
    -moz-transition: opacity .3s linear;
    -webkit-transition: opacity .3s linear;
    -o-transition: opacity .3s linear;
}

.table-main .btn:hover,
.table-main .btn:active {
    opacity: 1;
}

.table-main .btn-success,
.table-main .btn-success:active {
    background-color: #77cc6d;
    border-color: #77cc6d;
}

.table-main .btn-primary,
.table-main .btn-primary:active {
    background-color: #2ac4ea;
    border-color: #2ac4ea;
}

.table-main .btn-danger,
.table-main .btn-primary:active {
    background-color: #f6653c;
    border-color: #f6653c;
}


/* modal */

.modal-content {
    border: 0;
    border-radius: 10px;
}

.modal-header {
    background: var(--dark-color);
    color: #ffffff;
    border: 0;
    border-radius: 9px 9px 0 0;
    padding: 0.7rem 1rem;
}

h3#deleteStocksLabel {
    font-size: 1.1rem;
    font-weight: 500;
}

a.modal-close {
    color: #ffffff;
}

.modal-form .row {
    margin-bottom: 1rem;
}

.form-control {
    padding: 0.4rem 0.8rem;
}

.control-group input {
    padding: 0.4rem 0.8rem;
    height: 2.4rem;
}

label {
    font-weight: 500;
    font-size: 0.9rem;
}

.control-group label {
    margin-bottom: 0.5rem;
}

.modal-form .select2-container {
    width: 100% !important;
}

.modal-form .select2-container--default .select2-selection--multiple .select2-selection__choice {
    font-size: 0.8rem;
    color: #ffffff;
    padding: 0.4rem;
    padding-left: 20px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.modal-form .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    font-size: 1rem;
    color: #ffffff;
    border-right-color: #ffffff;
    height: 100%;
}

.select2-selection--multiple:before {
    content: "";
    position: absolute;
    right: 7px;
    top: 42%;
    border-top: 5px solid #888;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
}

.modal-form .select2-container--default .select2-selection--single {
    padding: 0 0.1rem;
}


/* footer */

.footer {
    width: 100%;
    color: var(--color-text);
}

.footer a {
    color: var(--primary-color);
    text-decoration: none;
}

.d-flex .btn {
    height: fit-content;
}


/*
 *  STYLE 1
 */

.table-wrapper::-webkit-scrollbar-track {
    box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    border-radius: 10px;
    background-color: #F5F5F5;
}

.table-wrapper::-webkit-scrollbar {
    width: 6px;
    height: 10px;
    background-color: #F5F5F5;
}

.table-wrapper::-webkit-scrollbar-thumb {
    border-radius: 10px;
    box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
    background-color: rgb(177, 177, 177);
}

.stretch-card>.card {
    box-shadow: 0 0 40px 0 rgb(0 0 0 / 15%);
    -moz-box-shadow: 0 0 40px 0 rgba(0, 0, 0, .15);
    -webkit-box-shadow: 0 0 40px 0 rgb(0 0 0 / 15%);
    -o-box-shadow: 0 0 40px 0 rgba(0, 0, 0, .15);
    -ms-box-shadow: 0 0 40px 0 rgba(0, 0, 0, .15);
}

.stretch-card>.card.no-shadow {
    box-shadow: none;
}


/* Curd */

.curd-wrapper .ftitle {
    display: none;
}


/* 
.curd-wrapper div.flexigrid .tDiv a{
    color: #ffffff;
} */

.curd-wrapper .flexigrid {
    font-family: var(--font-open);
}

.curd-wrapper .flexigrid .tDiv {
    background: transparent;
    padding: 0.5rem 0.3rem;
    border: 0;
}

.curd-wrapper .flexigrid .tDiv .fbutton {
    display: inline-block;
    font-weight: 400;
    line-height: 1;
    color: #ffffff;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.45rem;
    font-size: 0.775rem;
    border-radius: 0.1875rem;
    -webkit-transition: opacity 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    opacity: 0.8;
    margin-right: 0.8rem;
}

.curd-wrapper .flexigrid .tDiv .fbutton:hover {
    opacity: 1;
}

.curd-wrapper .flexigrid .tDiv .tDiv2 .fbutton {
    background-color: #1f8beb;
    border-color: #1f8beb;
}

.curd-wrapper .flexigrid .tDiv .tDiv3 .export-anchor .fbutton {
    background-color: #f6653c;
    border-color: #f6653c;
}

.curd-wrapper .flexigrid .tDiv .tDiv3 .print-anchor .fbutton {
    background-color: #77cc6d;
    border-color: #77cc6d;
}

.curd-wrapper .flexigrid div.fbutton span.add,
.curd-wrapper .flexigrid div.fbutton span.export,
.curd-wrapper .flexigrid div.fbutton span.print {
    background: none;
    padding-left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}

.curd-wrapper .flexigrid div.fbutton span:before {
    display: inline-block;
    font: normal normal normal 24px/1 "Material Design Icons";
    font-size: 1.1rem;
    text-rendering: auto;
    line-height: 1.1rem;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    padding-right: 0.4rem;
}

.curd-wrapper .flexigrid div.fbutton span.add:before {
    content: "\F417";
}

.curd-wrapper .flexigrid div.fbutton span.export:before {
    content: "\F21B";
}

.curd-wrapper .flexigrid div.fbutton span.print:before {
    content: "\F42A";
}

.curd-wrapper .flexigrid div.fbutton div,
.curd-wrapper .flexigrid div.fbutton:hover div,
.curd-wrapper .flexigrid div.fbutton.fbOver div {
    padding: 0;
    border: 0;
}

.curd-wrapper .flexigrid .delete-icon,
.curd-wrapper .flexigrid .edit-icon,
.curd-wrapper .flexigrid .read-icon {
    background: none;
    width: 26px;
    height: 26px;
    text-decoration: none;
}

.curd-wrapper .flexigrid .delete-icon:before,
.curd-wrapper .flexigrid .edit-icon:before,
.curd-wrapper .flexigrid .read-icon:before {
    display: flex;
    font: normal normal normal 24px/1 "Material Design Icons";
    font-size: 1rem;
    text-rendering: auto;
    line-height: 1.1rem;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    width: 26px;
    height: 26px;
    align-items: center;
    justify-content: center;
    color: #ffffff;
    border-radius: 3px;
}

.curd-wrapper .flexigrid .delete-icon:before {
    content: "\F1C0";
    background-color: #f6653c;
}

.curd-wrapper .flexigrid .edit-icon:before {
    content: "\F64F";
    background-color: #77cc6d;
}

.curd-wrapper .flexigrid .read-icon:before {
    content: "\F208";
    background-color: #1f8beb;
}

.curd-wrapper .flexigrid .btnseparator {
    display: none;
}

.curd-wrapper .flexigrid .bDiv {
    border-radius: 10px;
    box-shadow: 0 0 10px 0 rgb(0 0 0 / 15%);
    -moz-box-shadow: 0 0 10px 0 rgba(0, 0, 0, .15);
    -webkit-box-shadow: 0 0 10px 0 rgb(0 0 0 / 15%);
    -o-box-shadow: 0 0 10px 0 rgba(0, 0, 0, .15);
    -ms-box-shadow: 0 0 10px 0 rgba(0, 0, 0, .15);
    border: 1px solid rgba(0, 0, 0, 0.125);
    margin-top: 20px;
    margin-bottom: 20px;
}

.curd-wrapper .flexigrid div.bDiv table {
    border: 0;
    margin: 0;
}

.curd-wrapper .flexigrid table tr.hDiv {
    background: transparent;
    border: 0;
}

.curd-wrapper .flexigrid table tr.hDiv th,
.curd-wrapper .flexigrid div.bDiv td {
    border: 0;
    vertical-align: middle !important;
}

.curd-wrapper .flexigrid table tr.hDiv th {
    font-size: 0.8rem;
    font-weight: 500;
    color: #fff;
    background-color: var(--dark-color);
    padding: 0.3rem 0.4rem;
}

.curd-wrapper .flexigrid div.bDiv td div {
    font-size: 0.78rem;
    padding: 0.5rem 0.8rem;
    border: 0;
}

.curd-wrapper .flexigrid div.bDiv td:first-child {
    font-weight: 600;
}

.curd-wrapper .flexigrid div.bDiv tr:nth-child(even) td {
    background: #f8f6ff !important;
}

.curd-wrapper .flexigrid div.bDiv tr td {
    background: #ffffff;
}

.curd-wrapper .flexigrid div.sDiv {
    background: #f2f6ff;
    border: 0;
    margin-bottom: 20px;
    padding: 0.7rem 0.3rem;
    border-radius: 10px;
    box-shadow: 0 0 10px 0 rgb(0 0 0 / 15%);
}

.curd-wrapper .flexigrid div.bDiv tr:hover::nth-child(even) td {
    background: #f8f6ff !important;
}

.curd-wrapper .flexigrid div.bDiv tr:hover td,
.curd-wrapper .flexigrid div.bDiv tr:hover td.sorted,
.curd-wrapper .flexigrid div.bDiv tr.trOver td.sorted,
.curd-wrapper .flexigrid div.bDiv tr.trOver td {
    background: transparent;
    border-left: 0;
    border-bottom: 0;
}

.flexigrid div.sDiv2>* {
    margin-right: 10px;
}

.curd-wrapper input,
.curd-wrapper input:focus,
.curd-wrapper select,
.curd-wrapper select:focus {
    outline: 1px solid rgb(151 151 151 / 61%);
    border: 0;
    outline-offset: 0;
    border-radius: 3px;
}

.curd-wrapper button,
.curd-wrapper [type="button"],
.curd-wrapper [type="reset"],
.curd-wrapper [type="submit"] {
    display: inline-block;
    font-weight: 400;
    line-height: 1;
    color: #ffffff;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.45rem;
    font-size: 0.775rem;
    border-radius: 0.1875rem;
    -webkit-transition: opacity 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    transition: opacity 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    opacity: 0.8;
    margin-right: 0.8rem;
    outline: 0;
    text-shadow: none;
}

.curd-wrapper button:hover,
.curd-wrapper [type="button"]:hover,
.curd-wrapper [type="reset"]:hover,
.curd-wrapper [type="submit"]:hover {
    opacity: 1;
    color: #ffffff;
}

.curd-wrapper .crud_search {
    background-color: #1f8beb;
    border-color: #1f8beb;
}

.curd-wrapper .search_clear {
    background-color: #c73934;
    border-color: #c73934;
}

.curd-wrapper .flexigrid div.pDiv {
    background: transparent;
    border: 0;
    padding-bottom: 10px;
    margin-top: 40px;
}

.curd-wrapper .flexigrid .pFirst,
.curd-wrapper .flexigrid .pPrev,
.curd-wrapper .flexigrid .pNext,
.curd-wrapper .flexigrid .pLast,
.curd-wrapper .flexigrid .pReload {
    background: none;
}

.curd-wrapper .flexigrid .pButton span:before {
    display: flex;
    font: normal normal normal 24px/1 "Material Design Icons";
    font-size: inherit;
    text-rendering: auto;
    line-height: inherit;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.curd-wrapper .flexigrid .pFirst span:before {
    content: "\F4AE";
}

.curd-wrapper .flexigrid .pPrev span:before {
    content: "\F35E";
}

.curd-wrapper .flexigrid .pNext span:before {
    content: "\F35F";
}

.curd-wrapper .flexigrid .pLast span:before {
    content: "\F4AD";
}

.curd-wrapper .flexigrid .pReload span:before {
    content: "\F453";
}

.curd-wrapper .flexigrid div.pDiv div.pButton,
.curd-wrapper .flexigrid div.pDiv div.pButton:hover,
.curd-wrapper .flexigrid div.pDiv div.pButton.pBtnOver {
    width: auto;
    height: auto;
    border: 0;
}

.curd-wrapper div.pGroup {
    height: 32px;
}

.curd-wrapper .flexigrid div.pDiv div.pButton {
    overflow: visible;
}

.curd-wrapper .flexigrid div.pDiv div.pButton span {
    width: 24px;
    height: 24px;
    margin-top: 2px;
    background: var(--primary-color);
    color: #ffffff;
    margin-right: 5px;
    border-radius: 3px;
}

.curd-wrapper .flexigrid div.pDiv div.pButton:hover span {
    width: 24px;
    height: 24px;
}

.curd-wrapper .flexigrid div.form-div input[type=text],
.curd-wrapper .flexigrid div.form-div select,
.curd-wrapper .flexigrid div.form-div textarea,
.curd-wrapper .flexigrid div.form-div {
    font-family: var(--font-open);
}

.curd-wrapper div#main-table-box .form-div {
    border: 1px solid #eee;
}

.curd-wrapper .flexigrid div.form-div {
    border: 0;
}

.curd-wrapper .flexigrid div.form-div input[type=text],
.curd-wrapper .flexigrid div.form-div textarea,
.curd-wrapper .flexigrid div.form-div select {
    border: 0;
}

.curd-wrapper .flexigrid .form-input-box {
    width: calc(100% - 200px);
}

.curd-wrapper .flexigrid .form-input-box input[type=text],
.curd-wrapper .flexigrid .form-input-box select {
    width: 100%;
    max-width: 700px;
}

.curd-wrapper .form-display-as-box {
    font-weight: 500;
}

.curd-wrapper #form-button-save {
    background: #1f8beb;
    border-color: #1f8beb;
}

.curd-wrapper #save-and-go-back-button {
    background: #77cc6d;
    border-color: #77cc6d;
}

.curd-wrapper #cancel-button {
    background: #c73934;
    border-color: #c73934;
}


/* dashboard */

.user-dashboard .date-filter {
    box-shadow: 0 0 40px 0 rgb(0 0 0 / 15%);
    -moz-box-shadow: 0 0 40px 0 rgba(0, 0, 0, .15);
    -webkit-box-shadow: 0 0 40px 0 rgb(0 0 0 / 15%);
    -o-box-shadow: 0 0 40px 0 rgba(0, 0, 0, .15);
    -ms-box-shadow: 0 0 40px 0 rgba(0, 0, 0, .15);
}


/* utilites */

.aligner-wrapper .absolute.top {
    top: 0;
}

.aligner-wrapper .absolute.bottom {
    bottom: 0;
}

.aligner-wrapper .absolute.left {
    left: 0;
}

.aligner-wrapper .absolute {
    position: absolute;
}

.v-strock-2 {
    width: 3px;
}


/* badge */

.badge-danger {
    border: 1px solid #fc5a5a;
    color: #ffffff;
    background: #fc5a5a;
}

.badge-warning {
    border: 1px solid #ffc542;
    color: #ffffff;
    background: #ffc542;
}

.badge-info {
    border: 1px solid #a461d8;
    color: #ffffff;
    background: #a461d8;
}

.badge-success {
    border: 1px solid #44ce42;
    color: #ffffff;
    background: #44ce42;
}


/* redeem */

.redeem-radio-btn {
    display: flex;
    flex-direction: row;
}

.redeem-radio-btn .form-check .form-check-input {
    margin-left: 0;
}

.curd-wrapper .flexigrid table tr.hDiv th div.asc {
    background-position: center center;
}

.controls .select2-container {
    width: 100% !important;
}

.controls .select2-container--default .select2-selection--multiple .select2-selection__choice {
    font-size: 0.8rem;
    color: #ffffff;
    padding: 0.4rem;
    padding-left: 20px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.controls .select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    font-size: 1rem;
    color: #ffffff;
    border-right-color: #ffffff;
    height: 100%;
}

.select2-selection--multiple:before {
    content: "";
    position: absolute;
    right: 7px;
    top: 42%;
    border-top: 5px solid #888;
    border-left: 4px solid transparent;
    border-right: 4px solid transparent;
}

.stock-dispatch-section .controls .select2-container--default .select2-selection--single {
    padding: 0 0.1rem;
    height: 37px;
}

.stock-dispatch-section .select2-container--default .select2-selection--single {
    border: 1px solid rgba(151, 151, 151, 0.3);
}


/* 
.select-dealer-select2 .select2-container .select2-selection--single .select2-selection__rendered {
    padding-top: 10px;
} */

.select2-container--default .select2-selection--single {
    padding: 0rem 0.4rem;
    padding-top: 0;
}

.stock-dispatch-section .select2-container .select2-selection--single .select2-selection__rendered {
    padding-top: 2px;
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: #282a39 !important;
}

.select2-results__option {
    padding: 4px 6px !important;
}

.modal-close {
    cursor: pointer;
    font-size: 21px;
}

.modal-close:hover {
    color: red;
}

.btn-success {
    color: #ffffff;
    background-color: #282a39;
    border-color: #282a39;
}

.btn-secondary {
    color: #ffffff;
    background-color: #1f8beb;
    border-color: #1f8beb;
}

.btn:hover {
    color: #ffffff;
    background-color: #0c0c12;
    border-color: #0c0c12;
}

.btn:not(.btn-light):focus,
.btn:not(.btn-light):active {
    background: #0c0c12;
    border-color: #0c0c12;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    font-size: 0.8125rem;
    /* padding: 0.4rem 0.8rem; */
    /* color: #ffffff; */
    padding: 5px !important;
    text-transform: capitalize;
    background: #e4e4e4 !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    top: 5px !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__display {
    padding-left: 16px !important;
}

.sidebar {
    max-height: calc(100vh - 64px);
    overflow: auto;
    /* -webkit-transition: all 0.25s ease-out;
    transition: all 0.25s ease-out; */
    -ms-overflow-style: none;
    /* IE and Edge */
    scrollbar-width: none;
    /* Firefox */
}

.sidebar::-webkit-scrollbar {
    display: none;
}

#ordermodal .modal-dialog {
    max-width: 570px;
    /* margin: 30px auto; */
}

.form-input {
    box-shadow: 1px 1px 15px rgb(0 0 0 / 10%);
}

.justify-content-space-between {
    display: flex !important;
    justify-content: space-between;
}

.page-item.active .page-link {
    background-color: #282a39;
    border-color: #282a39;
}